Subject: Re: Labeled Networking tree for linux-next

From: Paul Moore <[email-masked]>
Date: Thu, 24 Jul 2008 09:47:59 -0400

On Wednesday 23 July 2008 8:06:24 pm Stephen Rothwell wrote:
> Hi Paul,
>
> On Wed, 23 Jul 2008 16:19:39 -0400 Paul Moore <[email-masked]> 
wrote:
> > Yes, the labeled networking stuff usually affects both net/ and
> > security/.  I really don't care how it gets into linux-next as long
> > as it gets in at some point.  I sent the mail because the
> > lblnet-2.6_testing tree (currently empty, but not for much longer)
> > is currently being pulled into linux-next (I think it started in
> > the initial push to move -mm into linux-next).
> >
> > If we don't decide to drop the labeled networking git tree from
> > linux-next can we at least shift from using the lblnet-2.6_testing
> > to the lblnet-2.6_next tree?
>
> I have made the change.
>
> I have no problem with trees coming into linux-next from more than
> one source (see e.g. the wireless tree which is merged into the net
> tree). In fact it can be useful so that you will discover conflicting
> changes in the security and net trees before you have your tree
> merged into theirs. I have moved your tree after both the net and
> security-testing trees (that way if it gets merged into either of
> them its merge into linux-next becomes a noop).

That sounds like a reasonable argument, thanks for making the change.

-- 
paul moore
linux @ hp